Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162970 - mozilla - apparent packaging problems
Summary: mozilla - apparent packaging problems
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 21:52 UTC by Michal Jaegermann
Modified: 2018-04-11 10:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 16:17:16 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2005-07-11 21:52:43 UTC
Description of problem:

Look at this:

# rpm -U --force mozilla-1.7.8-2.x86_64.rpm
# rpm -V mozilla
missing     /usr/lib64/mozilla-1.7.8/chrome/overlayinfo/browser
missing     /usr/lib64/mozilla-1.7.8/chrome/overlayinfo/browser/content
missing     /usr/lib64/mozilla-1.7.8/chrome/overlayinfo/browser/skin
missing     /usr/lib64/mozilla-1.7.8/chrome/overlayinfo/cookie
missing     /usr/lib64/mozilla-1.7.8/chrome/overlayinfo/cookie/content
missing     /usr/lib64/mozilla-1.7.8/chrome/overlayinfo/editor
missing     /usr/lib64/mozilla-1.7.8/chrome/overlayinfo/editor/content
missing     /usr/lib64/mozilla-1.7.8/chrome/overlayinfo/global
missing     /usr/lib64/mozilla-1.7.8/chrome/overlayinfo/global/content
missing     /usr/lib64/mozilla-1.7.8/chrome/overlayinfo/global/skin

So where they went?  All these directories (they are directories) are
present if one will unpack using rpm2cpio.

It appears that some installation scripts are executing in an unexpected
order.  On i386 installation there are missing directories too. Maybe 
instead of

  /bin/rm -rf /usr/lib64/mozilla-1.7.8/chrome/overlayinfo

in scriplets one should have there:

  find /usr/lib64/mozilla-1.7.8/chrome/overlayinfo ! -type d | xargs rm -f

The original missing pieces were revealed during an 'rpm -Va' check which 
I run for other reasons.

Version-Release number of selected component (if applicable):
mozilla-1.7.8-2

Comment 1 Matěj Cepl 2008-02-08 16:17:16 UTC
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages in Rawhide, which may have resolved this issue. Users who have
experienced this problem are encouraged to upgrade their system to the latest
version of their distribution available.

Closing this bug as CANTFIX. Please, reopen, if this bug is still reproducable
on the latest update of your distribution.

[This is mass-closing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if we are closing your bug in mistake; please, don't hesitate to
reopen, if it is still alive issue.]


Note You need to log in before you can comment on or make changes to this bug.